from django.urls import path, include
from preinfo.views.client_views import (ClientPreinfoView, check_preinfo, PreinfoSearchView, ClientPreinfoCreateView,
                                        ClientPreinfoUpdateView, ClientPreinfoDeleteView, )
from preinfo.views.employee_views import EmployeePreinfoView

urlpatterns = [
    path('client/', include([
        path('', ClientPreinfoView.as_view(), name='client_preinfo'),
        path('create/', ClientPreinfoCreateView.as_view(), name='client_preinfo_create'),
        path('<int:pk>/delete/', ClientPreinfoDeleteView.as_view(), name='client_preinfo_delete'),
    ])),
    path('check-preinfo/', check_preinfo, name='check_preinfo'),
    path('preinfo-search/', PreinfoSearchView.as_view(), name='preinfo_search'),
    path('employee/', include([
        path('', EmployeePreinfoView.as_view(), name='employee_preinfo'),
    ])
         )
]
